Show / Hide Table of Contents

# Class StdString

Interation with std::string

##### Inheritance

System.Object
StdString

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Internal.Libc

###### Assembly: Dalamud.dll

##### Syntax

    public class StdString

### Properties

| Improve this Doc View Source

#### RawData

##### Declaration

    public byte[] RawData { get; set; }

##### Property Value

Type | Description
--- | ---
System.Byte[] |

| Improve this Doc View Source

#### Value

##### Declaration

    public string Value { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### ReadFromPointer(IntPtr)

##### Declaration

    public static StdString ReadFromPointer(IntPtr cstring)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | cstring |

##### Returns

Type | Description
--- | ---
StdString |